> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set AI enrichment config



## OpenAPI

````yaml /api-reference/catalog-api.json put /connectors/{connector_type}/ai-config
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/{connector_type}/ai-config:
    put:
      tags:
        - connectors
      summary: Set AI enrichment config
      operationId: put_ai_config_connectors__connector_type__ai_config_put
      parameters:
        - name: connector_type
          in: path
          required: true
          schema:
            type: string
            title: Connector Type
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AIConfigRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Put Ai Config Connectors  Connector Type  Ai Config
                  Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AIConfigRequest:
      properties:
        ai_enrichment_enabled:
          type: boolean
          title: Ai Enrichment Enabled
          default: false
        ai_repo_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Repo Sha
        ai_repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Repo Url
        ai_repo_branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Repo Branch
        ai_transforms:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ai Transforms
        ai_run_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Run Mode
      type: object
      title: AIConfigRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````